## org.gnu.pango
Class AttrType

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.pango.AttrType

public class AttrType
extends Enum

Distinguishes between different types of attributes.

Field Summary
`static AttrType` `BACKGROUND`
`static AttrType` `FALLBACK`
`static AttrType` `FAMILY`
`static AttrType` `FONT_DESC`
`static AttrType` `FOREGROUND`
`static AttrType` `INVALID`
`static AttrType` `LANGUAGE`
`static AttrType` `LETTER_SPACING`
`static AttrType` `RISE`
`static AttrType` `SCALE`
`static AttrType` `SHAPE`
`static AttrType` `SIZE`
`static AttrType` `STRETCH`
`static AttrType` `STRIKETHROUGH`
`static AttrType` `STRIKETHROUGH_COLOR`
`static AttrType` `STYLE`
`static AttrType` `UNDERLINE`
`static AttrType` `UNDERLINE_COLOR`
`static AttrType` `VARIANT`
`static AttrType` `WEIGHT`

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`AttrType` `and(AttrType other)`
`static AttrType` `intern(int value)`
`AttrType` `or(AttrType other)`
`boolean` `test(AttrType other)`
`AttrType` `xor(AttrType other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INVALID

    public static final AttrType INVALID

### LANGUAGE

    public static final AttrType LANGUAGE

### FAMILY

    public static final AttrType FAMILY

### STYLE

    public static final AttrType STYLE

### WEIGHT

    public static final AttrType WEIGHT

### VARIANT

    public static final AttrType VARIANT

### STRETCH

    public static final AttrType STRETCH

### SIZE

    public static final AttrType SIZE

### FONT_DESC

    public static final AttrType FONT_DESC

### FOREGROUND

    public static final AttrType FOREGROUND

### BACKGROUND

    public static final AttrType BACKGROUND

### UNDERLINE

    public static final AttrType UNDERLINE

### STRIKETHROUGH

    public static final AttrType STRIKETHROUGH

### RISE

    public static final AttrType RISE

### SHAPE

    public static final AttrType SHAPE

### SCALE

    public static final AttrType SCALE

### FALLBACK

    public static final AttrType FALLBACK

### LETTER_SPACING

    public static final AttrType LETTER_SPACING

### UNDERLINE_COLOR

    public static final AttrType UNDERLINE_COLOR

### STRIKETHROUGH_COLOR

    public static final AttrType STRIKETHROUGH_COLOR

Method Detail

### intern

    public static AttrType intern(int value)

### or

    public AttrType or(AttrType other)

### and

    public AttrType and(AttrType other)

### xor

    public AttrType xor(AttrType other)

### test

    public boolean test(AttrType other)